#include <iostream>
#include <cmath>
using namespace std;
int main(){
long long n,m,k=0,br=0;
cin>>n;
m=n;
while(m>0){
k++;
m/=10;
}
while(k>0&&n>0){
if(n>=5*pow(10,k-1)){
n-=5*pow(10,k-1);
br++;
}
while(n>=2*pow(10,k-1)){
n-=2*pow(10,k-1);
br++;
}
if(n>=pow(10,k-1)){
n-=pow(10,k-1);
br++;
}
k--;
}
cout<<br;
return 0;
}